Package Details: masterpassword-cli 2.6-3

Git Clone URL: https://aur.archlinux.org/masterpassword-cli.git (read-only)
Package Base: masterpassword-cli
Description: CLI version of Master Password
Upstream URL: https://masterpassword.app/
Licenses: GPL3
Submitter: patlux
Maintainer: ilpianista
Last Packager: ilpianista
Votes: 13
Popularity: 0.643824
First Submitted: 2015-03-13 22:38
Last Updated: 2018-08-06 05:25

Latest Comments

1 2 Next › Last »

CamilleBC commented on 2018-08-15 14:13

Hey. Is the gpg key still valid? First try:

==> Making package: masterpassword-cli 2.6-3 (Wed 15 Aug 2018 03:59:09 PM CEST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found mpw-2.6-cli-5-0-g344771db.tar.gz -> Found mpw-2.6-cli-5-0-g344771db.tar.gz.sig ==> Validating source files with sha256sums... mpw-2.6-cli-5-0-g344771db.tar.gz ... Passed mpw-2.6-cli-5-0-g344771db.tar.gz.sig ... Skipped ==> Verifying source file signatures with gpg... mpw-2.6-cli-5-0-g344771db.tar.gz ... FAILED (unknown public key 3C15AF60891E5CB9) ==> ERROR: One or more PGP signatures could not be verified!

I managed to install the package by removing the .sig file for checking. Not the most secure method, but I did not want to install the dependencies separately when building from source. Just thought I'd give the info!

ilpianista commented on 2017-10-12 17:42

@freshgrass, you are right. This requires libsodium 1.0.15 (which is in [community-testing] at the moment)

freshgrass commented on 2017-10-12 15:23

Doesn't work.

mpw_sodium was enabled but is missing sodium library. Please install this library before continuing.

Changed "lib/include" to "/lib" in the "build" file downloaded from the Master Password site, and it installed fine.

ilpianista commented on 2017-09-05 18:24

@Infides, yeah I removed the bash completion script because it sources a file[1] and I would not install it.

[1] https://github.com/Lyndir/MasterPassword/blob/2.6-cli-1/platform-independent/cli-c/mpw.completion.bash#L2

Infides commented on 2017-08-23 07:47

EDIT 2:
Another aspect I noticed is, that the bash completion is not correctly installed. All I get is:
bash: _comp_finish_completions: command not found

#######

EDIT:
After running the "./clean" executable in the "src"-folder the package was built. It seems that the old scrypt was used from previous versions.

#######

I also can't build the package at the moment. The error messages are as follows:

==> Starting build()...
Will build targets: mpw mpw-bench mpw-tests...
./build: line 342: return: cc: numeric argument required

Checking dependency: scrypt...

Building target: mpw...
gcc: error: lib/scrypt/src/libcperciva/*/*.o: No such file or directory
gcc: error: lib/scrypt/src/lib/crypto/*.o: No such file or directory
==> ERROR: A failure occurred in build().
Aborting...

There is no "src"-folder inside the scrypt folder.
The structure seems to be "src/lib/scrypt/libcperciva/" or "src/lib/scrypt/lib/".

ilpianista commented on 2017-04-12 12:45

They manage releases very badly (IMHO). They always replace the current archive with latest, for example they just released 2.5-RC1 some day ago and replaced the current archive: https://github.com/Lyndir/MasterPassword/commit/98c5ee34255394309aa16086f056111e313e2e36

EDIT: I found the direct links after talking with them on IRC :-)

patlux commented on 2017-02-26 12:17

@ilpianista: Can you please provide some more informations about why did you marked this packages as out-of-date?

I can't find any newer version of the cli package. And the archive on the mpw homepage matches the sha256sum in the PKGBUILD.

khenderick commented on 2016-10-04 10:41

I can't build this package at the moment:

checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for style of include used by make... GNU
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/tmp/yaourt-tmp-kenneth/aur-masterpassword-cli-git/src/masterpassword-cli/MasterPassword/C/lib/scrypt/src':
configure: error: no acceptable C compiler found in $PATH

jugs commented on 2016-08-11 16:11

It should really run mpw-tests after the build, just to be safe.

ilpianista commented on 2016-04-20 20:59

Could you please install bash completion mpw.bashrc?